### Method

# Gtk.TreeModel.get_string_from_iter

#### Declaration [src]

    char*
    gtk_tree_model_get_string_from_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Generates a string representation of the iter.

This string is a “:” separated list of numbers. For example, “4:10:0:3” would be an acceptable return value for this string.

#### Parameters

`iter` | `GtkTreeIter`
| a `GtkTreeIter`-struct
| Ownership is not transferred to the callee

#### Return value

Returns: `char*`
a newly-allocated string. Must be freed with `g_free()`.
Ownership of the data is transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string